Package ru.bitel.oss.systems.inventory.resource.common.event

# Class IpResourceUnsubscribeEvent

java.lang.Object
ru.bitel.bgbilling.kernel.event.common.Event
ru.bitel.bgbilling.kernel.event.common.QueueEvent
ru.bitel.bgbilling.kernel.event.common.PoolQueueEvent
ru.bitel.oss.systems.inventory.resource.common.event.IpResourceUnsubscribeEvent

All Implemented Interfaces:
  `java.io.Serializable`

    public class IpResourceUnsubscribeEvent
    extends ru.bitel.bgbilling.kernel.event.common.PoolQueueEvent

See Also:
  Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

- ## Constructor Summary

  Constructors
  Modifier | Constructor | Description
  --- | --- | ---
  `protected` | `IpResourceUnsubscribeEvent()` |
  `` | `IpResourceUnsubscribeEvent​(PoolEventPublisher<IpResourceUnsubscribeEvent> publisher, int subscriberType, int subscriberId, int ipResourceId, java.util.Date timeTo, long connectionId, byte[] address)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `byte[]` | `getAddress()` |
  `long` | `getConnectionId()` |
  `int` | `getIpResourceId()` |
  `int` | `getSubscriberType()` |
  `java.util.Date` | `getTimeTo()` |
  `void` | `setAddress​(byte[] address)` |

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `getContractId, getDestination, getGenerateTime, getMessageID, getModuleId, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, setMessageID, toString, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### IpResourceUnsubscribeEvent

    protected IpResourceUnsubscribeEvent()

  - ### IpResourceUnsubscribeEvent

    public IpResourceUnsubscribeEvent​(PoolEventPublisher<IpResourceUnsubscribeEvent> publisher, int subscriberType, int subscriberId, int ipResourceId, java.util.Date timeTo, long connectionId, byte[] address)

- ## Method Details

  - ### getAddress

    public byte[] getAddress()

  - ### setAddress

    public void setAddress​(byte[] address)

  - ### getSubscriberType

    public int getSubscriberType()

  - ### getIpResourceId

    public int getIpResourceId()

  - ### getTimeTo

    public java.util.Date getTimeTo()

  - ### getConnectionId

    public long getConnectionId()